# Copyright 2006, Francisco Rodriguez, based on "desel" code by TBD

# Permission to use, copy, modify, and distribute this software for 
# any purpose and without fee is hereby granted, provided that the above
# copyright notice appear in all copies.

# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

# Name :          Entfilter.rb 1.0
# Description :   Filter selection, based on type of object or object status.
# Author :        Francisco Rodriguez
# Usage :         1. Install rb file and icons folder into the plugins directory.
#                 2. Load "Filter" Toolbar from the menu Toolbars.
# Date :          4.Jan.2006
# History:
#			1.0 (4.Jan.2006) - first version

require 'sketchup.rb'

def filter_func what
   Sketchup.active_model.start_operation "Filtrer"
   ss = Sketchup.active_model.selection
   to_remove = []
   0.upto(ss.length) do |counter|
      to_remove.push(ss[counter]) if not(ss[counter].class == what)
   end
   to_remove.each {|e| ss.remove(e)}
   Sketchup.active_model.commit_operation
end

# add menu items - for testing purpose
#~ if( not $entfilter_menu_loaded )
   #~ TestF_menu = UI.menu("Tools").add_submenu("TestF")
   #~ TestF_menu.add_item("Filter points") { filter_func Sketchup::ConstructionPoint}
   #~ TestF_menu.add_item("Filter edges") { filter_func Sketchup::Edge}
   #~ TestF_menu.add_item("Filter faces") { filter_func Sketchup::Face}
   #~ TestF_menu.add_item("Filter groups") { filter_func Sketchup::Group}
   #~ TestF_menu.add_item("Filter components") { filter_func Sketchup::ComponentInstance}
   #~ TestF_menu.add_item("Filter text") { filter_func Sketchup::Text}
   #~ TestF_menu.add_item("Filter construction lines") { filter_func Sketchup::ConstructionLine}
   #~ TestF_menu.add_item("Filter images") { filter_func Sketchup::Image}
   #~ TestF_menu.add_separator
   #~ TestF_menu.add_item("About...") { UI.messagebox "Entfilter 1.o\nby Fran\n\nFor testing purposes only!"}
#~ end

#~ $entfilter_menu_loaded = true