require 'sketchup.rb'
class Reporter
def Reporter::components

   model = Sketchup.active_model
   model.start_operation "Annuler"
   entities = model.entities
   mname = model.title

   Sketchup::set_status_text(("Liste plus..." ), SB_PROMPT)
   Sketchup::set_status_text(" ", SB_VCB_LABEL)
   Sketchup::set_status_text(" ", SB_VCB_VALUE)

   mpath = Dir::pwd
   if mpath == ""
      UI.beep
      UI.messagebox("Enregistrer le modele \navant d'utiliser cet outil... ")
      return nil
   end

   clist = []
   for c in model.definitions
      if c.count_instances > 0 and c.group? != true ###v1.3
        boundingBox = c.bounds
        dims = [ boundingBox.height,
                 boundingBox.width,
                 boundingBox.depth ]
        dims.sort!
        clist = clist.push([c.name,
                            c.count_instances.to_s,
                            dims[0].to_s,
                            dims[1].to_s,
                            dims[2].to_s])
      end#if
   end#for c 
   clist = clist.sort

   if not clist[0]
      UI.beep
      UI.messagebox("Pas de composant a lister !")
      return nil
   end#if

   namecsv = model.path[0,model.path.length - 4] + " - Liste debit complete.csv"
   file = File.new(namecsv,"w")
   file.puts(model.title+"\n\n")
   file.puts("Composant#Description#Quantit#Longueur#Largeur#Epaisseur\n") ### title
   i = 1
   for c in clist
      file.puts(i.to_s+"#"+c[0]+"#"+c[1]+"#"+c[4]+"#"+c[3]+"#"+c[2])
      i = i + 1
   end#for c
   file.close
  UI.messagebox("Rapport enregistre dans: \n\n" + namecsv + "\n")

   model.commit_operation

end#def components

end#class



